#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  NSPR-4.36

- Next

  Popt-1.19

- Up
- Home

# PCRE2-10.45

## Introduction to PCRE2

The PCRE2 package contains a new generation of the Perl Compatible Regular Expression libraries. These are useful for implementing regular expression pattern matching using the same syntax and semantics as Perl.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/PCRE2Project/pcre2/releases/download/pcre2-10.45/pcre2-10.45.tar.bz2

- Download MD5 sum: f71abbe1b5adf25cd9af5d26ef223b66

- Download size: 2.0 MB

- Estimated disk space required: 20 MB (with tests)

- Estimated build time: 0.5 SBU (with tests)

### PCRE2 Dependencies

#### Optional

Valgrind-3.24.0 and libedit

## Installation of PCRE2

Install PCRE2 by running the following commands:

    ./configure --prefix=/usr                       \
                --docdir=/usr/share/doc/pcre2-10.45 \
                --enable-unicode                    \
                --enable-jit                        \
                --enable-pcre2-16                   \
                --enable-pcre2-32                   \
                --enable-pcre2grep-libz             \
                --enable-pcre2grep-libbz2           \
                --enable-pcre2test-libreadline      \
                --disable-static                    &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-unicode`: This switch enables Unicode support and includes the functions for handling UTF-8/16/32 character strings in the library.

`--enable-pcre2-16`: This switch enables 16 bit character support.

`--enable-pcre2-32`: This switch enables 32 bit character support.

`--enable-pcre2grep-libz`: This switch adds support for reading .gz compressed files to pcre2grep.

`--enable-pcre2grep-libbz2`: This switch adds support for reading .bz2 compressed files to pcre2grep.

`--enable-pcre2test-libreadline`: This switch adds line editing and history features to the pcre2test program.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-jit`: this option enables Just-in-time compiling, which can greatly speed up pattern matching.

## Contents

Installed Programs: pcre2-config, pcre2grep, and pcre2test.
Installed Libraries: libpcre2-8.so, libpcre2-16.so, libpcre2-32.so, and libpcre2-posix.so
Installed Directory: /usr/share/doc/pcre2-10.45

### Short Descriptions

pcre2grep | is a version of grep that understands Perl compatible regular expressions.
pcre2test | can test a Perl compatible regular expression.
pcre2-config | outputs compilation information to programs linking against the PCRE2 libraries

- Prev

  NSPR-4.36

- Next

  Popt-1.19

- Up
- Home